# Update card embossing address Updates the embossing address. Currently, the embossing process uses the address of the customer linked to the account. However, you can use this endpoint to send the embossed card to an address other than the mailing address. For example, a customer is traveling and loses their card. They request a duplicate and want it delivered to their hotel. With this endpoint, it is possible to have it sent to another address without changing their default mailing address. You can call the [Create new address](ref:post-accounts-v1-accounts-accountid-addresses) endpoint to create an address object and get an address ID. For more information about embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing", "description": "Card embossing endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/embossing/v1/cards/{cardId}/address": { "patch": { "operationId": "patch-embossing-address", "summary": "Update card embossing address", "description": "Updates the embossing address. Currently, the embossing process uses the address of the customer linked to the account. However, you can use this endpoint to send the embossed card to an address other than the mailing address. For example, a customer is traveling and loses their card. They request a duplicate and want it delivered to their hotel. With this endpoint, it is possible to have it sent to another address without changing their default mailing address.\n\nYou can call the [Create new address](https://developers.pismo.io/pismo-docs/reference/post-accounts-v1-accounts-accountid-addresses) endpoint to create an address object and get an address ID.\n\nFor more information about embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide. \n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "type": "object", "properties": { "address_id": { "type": "string", "description": "Address object ID" } }, "required": [ "address_id" ] }, "examples": { "example-1": { "value": { "address_id": "123" } } } } } }, "responses": { "200": { "description": "Ok address updated." }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-address-not-found": { "value": { "message": "Address not found", "error": "bad_request", "status": 400, "error_code": "" } }, "example-invalid-payload": { "value": { "message": "Invalid payload", "error": "bad_request", "status": 400, "error_code": "" } } } } } }, "406": { "description": "Not acceptable", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-not-acceptable": { "value": { "message": "Address setting for embossed card not allowed", "error": "not_acceptable", "status": 406, "error_code": "" } } } } } } } } } } } ```